/*
 * Module: defs.h
 *
 * Author: J. Reuter
 *
 * Thie include file contains definitions common to all files.
 */

#include <stdio.h>
#include <a.out.h>

#define private static

#define TRUE 1
#define FALSE 0

/*
 * Define some macros that should be in a.out.h, but aren't.
 */
#define N_TRLOFF( x ) \
  ( N_TXTOFF(x) + (x).a_text+(x).a_data )
#define N_DRLOFF( x ) \
  ( N_TRLOFF(x) + (x).a_trsize )
#define N_DATOFF( x ) \
  ( N_TXTOFF(x) + (x).a_text )

#define NREG 16			/* number of registers */

/* some symbolic names for special registers */
#define AP 12
#define FP 13
#define SP 14
#define PC 15

typedef int address;

extern char *malloc();
