/*
 * Module: objfile.h
 *
 * Author: J. Reuter
 *
 * Declare the global variables in symtab.c
 */

extern char *strtab;		/* pointer to the pool of names */

extern struct nlist *symtab;	/* pointer to the symbol table */
extern int nsym;		/* number of symbol table entries */

extern struct relocation_info *rel; /* pointer to the relocation table */
extern int nrel;		/* number of relocation table entries */

extern char *datatab;		/* pointer to C_DATA (initialized data) */
extern int ndata;		/* size of C_DATA (bytes) */
extern int datoff;		/* offset of C_DATA in object file */

/* declare symtab.c function types */
extern struct relocation_info *relo_next();
extern char *prname();
extern char get_byte();
extern short get_word();
extern long get_long();
